Bug 248805 - yum does not search for updates to packages with broken deps due to other packages being updated
Summary: yum does not search for updates to packages with broken deps due to other pac...
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yum   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 250102 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-18 21:50 UTC by Jesse Keating
Modified: 2014-01-21 22:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-13 18:39:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jesse Keating 2007-07-18 21:50:20 UTC
Gah a crappy summary, but here goes.

I ask yum to update anaconda.  The new anaconda requires a new libdhcp4client,
via a library requires.  So now anaconda, anaconda-runtime, and libdhcp4client
are set to be updated.  libdhcp4client update has a new soname for the library,
and thus removing the old soname will break the deps of some things currently
installed, namely mkinitrd, nash, and libdhcp.  Instead of noticing this and
checking for updates to these packages to satisfy the update, yum instead bails
and states that it cannot resolve deps.

See output at http://jkeating.fedorapeople.org/whynoupdatecheck

Comment 1 Jeremy Katz 2007-07-24 20:30:03 UTC
Does this happen with yum 3.2.2?

Comment 2 Ray Strode [halfline] 2007-07-30 14:51:41 UTC
*** Bug 250102 has been marked as a duplicate of this bug. ***

Comment 3 Jeremy Katz 2007-09-13 18:39:09 UTC
Closing due to lack of activity; if you have further information please reopen
this report


Note You need to log in before you can comment on or make changes to this bug.